%global sdkver 1.3.280.0

Summary:        Header files from the SPIR-V registry
Name:           spirv-headers
Version:        1.5.5
Release:        8%{?dist}
License:        MIT
URL:            https://github.com/KhronosGroup/SPIRV-Headers/
Source0:        https://github.com/KhronosGroup/SPIRV-Headers/archive/vulkan-sdk-%{sdkver}.tar.gz
BuildArch:      noarch

BuildRequires:  cmake3 ninja-build gcc gcc-c++

%description
Header files from the SPIR-V registry includes:
* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry file

%package        devel
Summary:        Development files for %{name}

%description    devel
Header files from the SPIR-V registry
* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry fil

%prep
%autosetup -n SPIRV-Headers-vulkan-sdk-%{sdkver}
chmod a-x include/spirv/1.2/spirv.py

%build
%cmake3 -DCMAKE_INSTALL_LIBDIR=%{_lib} -GNinja
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE
%doc README.md
%{_includedir}/spirv/
%{_datadir}/cmake/SPIRV-Headers/*.cmake
%{_datadir}/pkgconfig/SPIRV-Headers.pc

%changelog
* Fri May 10 2024 cunshunxia <cunshunxia@tencent.com> - 1.5.5-8
- update to vulkan-sdk-1.3.280.0 for ffmpeg 7.0

* Tue Dec 19 2023 luffyluo <luffyluo@tencent.com> - 1.5.5-7
- update to vulkan-sdk-1.3.268.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.5-6
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Shuo Wang <abushwang@tencent.com> - 1.5.5-5
- update for sdk-1.3.250.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.5-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.5-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Wang Guodong <gordonwwang@tencent.com> - 1.5.5-2
- update to spirv headers for 1.3.239 sdk.

* Fri Jan 6 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.5.5-1
- package init.
